% Calculation of specific energy for the LNG %    

function HHV = HHV_load(xm, xe, xp, xib, xnb, xn)

% Molar mass
    Mm = 0.016043; %kg/mol
    Me = 0.03007; % kg/mol
    Mp = 0.044097; % kg/mol
    Mib = 0.058123; % kg/mol
    Mnb = 0.058123; % kg/mol
    Mn = 0.02802; % kg/mol
    
    %Mass Gross Calorific Value
    HHV_m = 55.5;
    HHV_e = 51.878;
    HHV_p = 50.350;
    HHV_ib = 49.5;
    HHV_nb = 49.5;
    HHV_n = 0;
            
    % Mass weight
    Mass_m = Mm*xm;
    Mass_e = Me*xe;
    Mass_p = Mp*xp;
    Mass_ib = Mib*xib;
    Mass_nb = Mnb*xnb;
    Mass_n = Mn*xn;
    Mass_sum = Mass_m + Mass_e + Mass_p + Mass_ib + Mass_nb + Mass_n;
    %Mass fraction
    fm = Mass_m/Mass_sum;
    fe = Mass_e/Mass_sum;
    fp = Mass_p/Mass_sum;
    fib = Mass_ib/Mass_sum;
    fnb = Mass_nb/Mass_sum;
    fn = Mass_n/Mass_sum;
    %Mass Calorific Value by fraction
    H_m = HHV_m*fm;
    H_e = HHV_e*fe;
    H_p = HHV_p*fp;
    H_ib = HHV_ib*fib;
    H_nb = HHV_nb*fnb;
    H_n = HHV_n*fn;

    %HHV for LNG when loading
    HHV = H_m + H_e + H_p + H_ib + H_nb + H_n; %MJ/kg

    return