function flash = flash_load(xLNG_nit, xLNG_eta, m_flash, t, Rho_LNG)

% % Flashing when loading the LNG    

    % Molar mass
    Mm = 0.016043; %kg/mol
    Mn = 0.02802; % kg/mol
   
    %Regression
    if xLNG_eta <= 0.005
        a = -232.04;
        b = 21.937;
        c = 0;
    elseif xLNG_eta <= 0.03
        a = -375.37;
        b = 27.521;
        c = 0;
    elseif xLNG_eta <= 0.05
        a = -396.24;
        b = 28.511;
        c = 0;
    elseif xLNG_eta <= 0.07
        a = -418.52;
        b = 29.541;
        c = 0;
    else
        a = -442.87;
        b = 30.622;
        c = 0;
    end

    % Mole [%]
    xgn = a*xLNG_nit^2 + b*xLNG_nit + c;
    xgm = 1 - xgn;

    Ntot_flash = ((m_flash*t)/(xgm*Mm + xgn*Mn));    
    Nnit_flash = Ntot_flash*xgn;
    Nmet_flash = Ntot_flash*xgm;
    Volume_flash = (Ntot_flash*(xgm*Mm + xgn*Mn))/Rho_LNG;
    
    flash = zeros(4,1);

    flash(1,1) = Ntot_flash;
    flash(2,1) = Nnit_flash;
    flash(3,1) = Nmet_flash;
    flash(4,1) = Volume_flash;
    
    
    return
    